%define module	libxml-enno
%define version 1.02
%define release 9mdk

Summary:	%{module} module for perl
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl perl-DateManip
Requires:	perl-libwww-perl,perl-Parse-Yapp,perl-XML-Parser,perl-libxml-perl
BuildRequires:	perl-devel perl-libwww-perl perl-Parse-Yapp perl-XML-Parser
BuildRequires:	perl-libxml-perl perl-DateManip
BuildArch:	noarch

# compatibility with libxml-enno <= 1.0.1
%define _requires_exceptions XML::Handler::DOM

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#(peroyvind) remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_bindir}/xql.pl

%files
%defattr(-,root,root)
%doc Changes* MANIFEST README
%{perl_vendorlib}/XML/*
%{_mandir}/*/*

%changelog
* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.02-9mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Wed Jul 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02-8mdk
- make it installable

* Thu Jun 05 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.02-7mdk
- macroize (light;)
- fix unpackaged files
- fix License

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.02-6mdk
- cleanup
- rebuild for perl 5.8.0

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 1.02-5mdk
- BuildRequires: perl-devel

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.02-4mdk
- Rebuild for the latest perl.
- Remove the Distribution and Vendor tag.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.02-3mdk
- BuildArch: noarch
- add docs
- rename spec file
- clean up spec a bit

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.02-2mdk
- Call spec-helper before creating filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.02-1mdk
- Macroize package
